
.m-cards {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: flex-start;

  &__item {
    min-width: 320px;
    max-width: 320px;
    border-radius: 3px;
    padding: 1px;
    margin-bottom: 1em;

    background-color: $dark-accent-primary;
    border: $accent-color-main 1px solid;

    transition: box-shadow 200ms ease-in-out, transform 200ms ease-in-out;

    &:hover {
      border: $accent-color-main 2px solid;
      margin-bottom: calc(1em - 2px);
    }
  }

  &__top {
    display: flex;
    align-items: center;
    padding: 3px;
  }

  &__new-murr {
    position: absolute;
    right: -8px;
    height: 6px;
    width: 6px;
    background-color: $danger;
    border-radius: 50%;
  }

  &__author {
    display: flex;
    align-items: center;
    position: relative;
    cursor: pointer;

    &-avatar {
      width: 30px;
      height: 30px;
      overflow: hidden;
      background-repeat: no-repeat;
      background-position: center;
      background-size: cover;
    }

    &-name {
      flex: 1;
      font-family: "Open Sans", sans-serif;
      font-size: 12px;
      margin-left: 4px;
      word-break: break-all;
    }
  }

  &__actions {
    margin-left: auto;
    position: relative;
  }

  &__document {
    &-icon {
      font-size: 30px;
    }

    &-button {
      padding: 0;
      border-radius: 3px;
      color: $accent-color-primary;
      cursor: auto;

      &:hover,
      &:active,
      &:focus {
        color: $accent-color-primary;
        background-color: transparent;
      }
    }
  }

  &__more {
    &-icon {
      font-size: 30px;
    }

    &-button {
      padding: 0;
      border-radius: 3px;
      color: $accent-color-primary;
      @include button-icon;
    }
  }

  &__popup {
    position: absolute;
    width: 136px;
    background-color: $dark-accent-primary;
    border-radius: 3px;
    border: $accent-color-main 1px solid;
    z-index: 2;
    right: 0;

    &-action {
      display: flex;
      cursor: pointer;
      padding: 7px 5px;
      border-bottom: $accent-color-main 1px solid;
      @include button-icon;

      &:last-child {
        border-bottom: 0;
      }
    }

    &-text {
      display: block;
      font-size: 12px;
    }

    &-icon {
      font-size: 24px;
      margin-right: 5px;

      &_normal {
        color: $accent-color-primary;
      }

      &_cancel {
        color: $danger;
      }
    }
  }

  &__cover {
    max-height: 320px;
    cursor: pointer;
    overflow: hidden;
    text-align: center;
    margin: 2px 5px;

    &-img {
      max-width: 100%;
      max-height: 320px;
      display: inline-block;
      border-radius: 3px;
    }
  }

  &__title {
    cursor: pointer;
    margin: 2px 8px;
    font-size: 16px;
    font-family: "JetBrainsMono-Regular", monospace;
    word-wrap: break-word;
  }

  &__footer {
    margin: 5px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  &__tags {
    margin: 2px 5px;

    &-item {
      height: 15px;
      padding: 0 2px;
      line-height: 14px;

      margin-bottom: 2px;

      &.el-tag--dark {
        background-color: #3f6377;
        border-color: #3f6377;
        color: #000000;
      }

      & + & {
        margin-left: 2px;
      }
    }
  }

  &__comments {
    display: flex;
    justify-content: flex-end;
    align-items: center;

    &-btn {
      position: relative;
      padding: 0;
      font-size: 25px;
      width: 25px;
      color: $accent-color-primary;
      @include button-icon;
    }

    &-count {
      font-size: 10px;
      position: absolute;
      color: #65a3ca;
      height: 25px;
      line-height: 25px;
      width: 21px;
      left: 2px;
      text-align: center;
    }
  }

  &__rating {
    display: flex;
    align-items: center;

    .el-button + .el-button {
      margin-left: 5px;
    }

    &-like,
    &-unlike,
    &-counter {
      padding: 0;
    }

    &-like,
    &-unlike {
      border-radius: 3px;
      font-size: 30px;
      color: $accent-color-primary;
      @include button-icon;
    }

    &-like {
      &.is_like {
        color: #61e294;
        font-weight: bold;
      }
    }

    &-unlike {
      &.is_dislike {
        font-weight: bold;
        color: #bf4060;
      }
    }

    &-counter {
      font-size: 16px;
      color: $white;

      &.positive,
      &.positive:hover {
        color: $success;
      }

      &.negative,
      &.negative:hover {
        color: $danger;
      }

      &:hover {
        color: $white;
      }
    }
  }
}
